com.holonplatform.vaadin.components.builders

## Interface BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    BaseSelectInputBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, BaseSelectInputBuilder.SingleSelectConfigurator<T,T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, BaseSelectModeSingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, ComponentConfigurator<BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, InputBuilder<T,SingleSelect<T>,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, InputConfigurator<T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, SelectInputBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, SelectItemDataSourceBuilder<T,SingleSelect<T>,T,T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>, SingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>
  Enclosing interface:
    BaseSelectModeSingleSelectInputBuilder<T,B extends BaseSelectModeSingleSelectInputBuilder<T,B>>

      public static interface BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>
      extends BaseSelectModeSingleSelectInputBuilder<T,BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>>

  A `SingleSelectInputBuilder` for `RenderingMode#SELECT`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSingleSelectInputBuilder

      `BaseSelectModeSingleSelectInputBuilder.NativeModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.OptionsModeSingleSelectInputBuilder<T>, BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.SingleSelectInputBuilder

      `SingleSelectInputBuilder.GenericSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `disableTextInput()` Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected.
    `BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `filteringMode(com.vaadin.ui.ComboBox.CaptionFilter captionFilter)` Sets the option filtering strategy.
    `BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `inputPrompt(com.holonplatform.core.i18n.Localizable inputPrompt)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a `Localizable` message.
    `default BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `inputPrompt(String inputPrompt)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input.
    `default BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `inputPrompt(String defaultInputPrompt, String messageCode, Object... arguments)` Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a localizable `messageCode`.
    `BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `scrollToSelectedItem(boolean scrollToSelectedItem)` Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not.
    `BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T>` | `suggestionPopupWidth(String width)` Sets the suggestion pop-up's width as a CSS string.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectModeSingleSelectInputBuilder

      `emptySelectionAllowed, emptySelectionCaption, emptySelectionCaption, emptySelectionCaption`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SingleSelectInputBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### inputPrompt

          default BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> inputPrompt(String inputPrompt)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `inputPrompt` - the input prompt to set, `null` for none
      Returns:
        this

    - #### inputPrompt

          default BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> inputPrompt(String defaultInputPrompt,
                                                                                                           String messageCode,
                                                                                                           Object... arguments)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a localizable `messageCode`.

      For input prompt localization, a `LocalizationContext` must be available and localized as `Context` resource when component is built or when component is displayed if `InputBuilder.deferLocalization()` is `true`.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `defaultInputPrompt` - Default message if no translation is available for given `messageCode` for current Locale.
        `messageCode` - Input prompt translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

    - #### inputPrompt

          BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> inputPrompt(com.holonplatform.core.i18n.Localizable inputPrompt)

      Sets the input prompt - a textual prompt that is displayed when the field would otherwise be empty, to prompt the user for input - using a `Localizable` message.

      For input prompt localization, a `LocalizationContext` must be available and localized as `Context` resource when component is built or when component is displayed if `InputBuilder.deferLocalization()` is `true`.

      The input prompt is available only in `RenderingMode#SELECT` mode.

      Parameters:
        `inputPrompt` - Localizable input prompt
      Returns:
        this

    - #### disableTextInput

          BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> disableTextInput()

      Disables the possibility to input text into the field, so the field area of the component is just used to show what is selected. If the concrete select component does not support user input, this method has no effect.
      Returns:
        this

    - #### scrollToSelectedItem

          BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> scrollToSelectedItem(boolean scrollToSelectedItem)

      Sets whether to scroll the selected item visible (directly open the page on which it is) when opening the combo box popup or not. Only applies to select components with a suggestions popup. This requires finding the index of the item, which can be expensive in many large lazy loading containers.
      Parameters:
        `scrollToSelectedItem` - true to find the page with the selected item when opening the selection popup
      Returns:
        this

    - #### suggestionPopupWidth

          BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> suggestionPopupWidth(String width)

      Sets the suggestion pop-up's width as a CSS string. By using relative units (e.g. "50%") it's possible to set the popup's width relative to the selection component itself.

      Only applies to select field with backing components supporting a suggestion popup.

      Parameters:
        `width` - the suggestion pop-up width
      Returns:
        this

    - #### filteringMode

          BaseSelectModeSingleSelectInputBuilder.SelectModeSingleSelectInputBuilder<T> filteringMode(com.vaadin.ui.ComboBox.CaptionFilter captionFilter)

      Sets the option filtering strategy.

      Only applies to select field with backing components supporting a suggestion popup.

      Parameters:
        `captionFilter` - the caption filtering strategy to use
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.